//========================================================================================
//
//	File:				FWAButon.cpp
//	Release Version:	$ ODF 1 $
//
//	Copyright:	(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================
// We separate the archiving functions into their own translation units in order to
// enable dead-stripping.

#include "FWFrameW.hpp"

#ifndef FWBUTTON_H
#include "FWButton.h"
#endif

//========================================================================================
// File scope definitions
//========================================================================================

#ifdef FW_BUILD_MAC
#pragma segment fwgadgts
#endif

//========================================================================================
// CLASS FW_CButton
//========================================================================================

const FW_ClassTypeConstant FW_LButton = FW_TYPE_CONSTANT('b','u','t','n');
FW_REGISTER_ARCHIVABLE_CLASS(FW_LButton, FW_CButton, FW_CButton::Create, FW_CView::Read, FW_CButton::Destroy, FW_CView::Write)

//----------------------------------------------------------------------------------------
//	FW_CButton::Create
//----------------------------------------------------------------------------------------

void* FW_CButton::Create(FW_CReadableStream& stream, FW_ClassTypeConstant type)
{
FW_UNUSED(stream);
FW_UNUSED(type);
	FW_SOMEnvironment ev;
	return FW_NEW(FW_CButton, (ev));
}

//----------------------------------------------------------------------------------------
//	FW_CButton::Destroy
//----------------------------------------------------------------------------------------

void FW_CButton::Destroy(void* object, FW_ClassTypeConstant type)
{
FW_UNUSED(type);
	FW_CButton* self = (FW_CButton*) object;
	delete self;
}

