//========================================================================================
//
//	File:				FWAClust.cpp
//	Release Version:	$ ODF 1 $
//
//	Copyright:	(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================
// We separate the archiving functions into their own translation units in order to
// enable dead-stripping.

#include "FWFrameW.hpp"

#ifndef FWCLUSTR_H
#include "FWClustr.h"
#endif

//========================================================================================
// File scope definitions
//========================================================================================

#ifdef FW_BUILD_MAC
#pragma segment fwgadgts
#endif

//========================================================================================
//	CLASS FW_CRadioCluster
//========================================================================================

const FW_ClassTypeConstant FW_LRadioCluster = FW_TYPE_CONSTANT('r','c','l','s');
FW_REGISTER_ARCHIVABLE_CLASS(FW_LRadioCluster, FW_CRadioCluster, FW_CRadioCluster::Create, 
							FW_CRadioCluster::Read, FW_CRadioCluster::Destroy, FW_CRadioCluster::Write)

//----------------------------------------------------------------------------------------
//	FW_CRadioCluster::Create
//----------------------------------------------------------------------------------------

void* FW_CRadioCluster::Create(FW_CReadableStream& stream, FW_ClassTypeConstant type)
{
FW_UNUSED(stream);
FW_UNUSED(type);
	FW_SOMEnvironment ev;
	return FW_NEW(FW_CRadioCluster, (ev));
}

//----------------------------------------------------------------------------------------
//	FW_CRadioCluster::Read
//----------------------------------------------------------------------------------------

void FW_CRadioCluster::Read(FW_CReadableStream& stream, FW_ClassTypeConstant type, void* object)
{
FW_UNUSED(type);
	FW_SOMEnvironment ev;
	((FW_CRadioCluster *) object)->InitializeFromStream(ev, stream);
}

//----------------------------------------------------------------------------------------
//	FW_CRadioCluster::Write
//----------------------------------------------------------------------------------------

void FW_CRadioCluster::Write(FW_CWritableStream& stream, FW_ClassTypeConstant type, const void *object)
{
FW_UNUSED(type);
	FW_SOMEnvironment ev;
	((const FW_CRadioCluster *) object)->Flatten(ev, stream);
}

//----------------------------------------------------------------------------------------
//	FW_CRadioCluster::Destroy
//----------------------------------------------------------------------------------------

void FW_CRadioCluster::Destroy(void* object, FW_ClassTypeConstant type)
{
FW_UNUSED(type);
	FW_CRadioCluster* self = (FW_CRadioCluster*) object;
	delete self;
}

