//========================================================================================
//
//	File:				FWALisBx.cpp
//	Release Version:	$ ODF 1 $
//
//	Copyright:			(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================
// We separate the archiving functions into their own translation units in order to
// enable dead-stripping.

#include "FWFrameW.hpp"

#ifndef FWLISTBX_H
#include "FWListBx.h"
#endif

#ifdef FW_BUILD_MAC
#pragma segment fwgadgts
#endif

//========================================================================================
// CLASS FW_CListBox
//========================================================================================

const FW_ClassTypeConstant FW_LListBox = FW_TYPE_CONSTANT('l','b','o','x');
FW_REGISTER_ARCHIVABLE_CLASS(FW_LListBox, FW_CListBox, FW_CListBox::Create, FW_CView::Read, FW_CListBox::Destroy, FW_CView::Write)

//----------------------------------------------------------------------------------------
//	FW_CListBox::Create
//----------------------------------------------------------------------------------------

void* FW_CListBox::Create(FW_CReadableStream& stream, FW_ClassTypeConstant type)
{
FW_UNUSED(stream);
FW_UNUSED(type);
	FW_SOMEnvironment ev;
	return FW_NEW(FW_CListBox, (ev));
}

//----------------------------------------------------------------------------------------
//	FW_CListBox::Destroy
//----------------------------------------------------------------------------------------

void FW_CListBox::Destroy(void* object, FW_ClassTypeConstant type)
{
FW_UNUSED(type);
	FW_CListBox* self = (FW_CListBox*) object;
	delete self;
}

